summaryrefslogtreecommitdiffstats
path: root/deps/phonon
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2019-01-16 21:06:00 +0100
committer Eric Hameleers <alien@slackware.com>2019-01-16 21:06:00 +0100
commit57362c3b2112726be159861f922faf7ae66858ca (patch)
tree0f803811bc2bcff3a4205608848c5adb78e2458e /deps/phonon
parent03668e880f29dad79077029dd31fb7601acd7ae6 (diff)
downloadktown-57362c3b2112726be159861f922faf7ae66858ca.tar.gz
ktown-57362c3b2112726be159861f922faf7ae66858ca.tar.xz
Update the deps
New: SDL_sound, drumstick, perl-path-tiny, perl-template-toolkit, python3-random2, freecell-solver Updated: OpenAL, phonon, phonon-vlc Rebuilt: phonon-gstreamer
Diffstat (limited to '')
-rwxr-xr-xdeps/phonon-gstreamer/phonon-gstreamer.SlackBuild21
-rw-r--r--deps/phonon-vlc/.url2
-rwxr-xr-xdeps/phonon-vlc/phonon-vlc.SlackBuild27
-rw-r--r--deps/phonon/.url2
-rwxr-xr-xdeps/phonon/phonon.SlackBuild17
5 files changed, 48 insertions, 21 deletions
diff --git a/deps/phonon-gstreamer/phonon-gstreamer.SlackBuild b/deps/phonon-gstreamer/phonon-gstreamer.SlackBuild
index 27f441d..13b1e4e 100755
--- a/deps/phonon-gstreamer/phonon-gstreamer.SlackBuild
+++ b/deps/phonon-gstreamer/phonon-gstreamer.SlackBuild
@@ -1,5 +1,5 @@
#!/bin/sh
-# Copyright 2011, 2012, 2014, 2015, 2016 Eric Hameleers, Eindhoven, NL
+# Copyright 2011, 2012, 2014, 2015, 2016, 2019 Eric Hameleers, Eindhoven, NL
# Copyright 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
@@ -23,18 +23,20 @@
# -----------------------------------------------------------------------------
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=phonon-gstreamer
SRCNAM=phonon-backend-gstreamer
VERSION=${VERSION:-4.9.0}
BUILD=${BUILD:-2}
-NUMJOBS=${NUMJOBS:-" -j7 "}
+NUMJOBS=${NUMJOBS:-"-j$(nproc)"}
# Automatically determine the architecture we're building on:
MARCH=$( uname -m )
if [ -z "$ARCH" ]; then
case "$MARCH" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
armv7hl) export ARCH=$MARCH ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
@@ -42,8 +44,8 @@ if [ -z "$ARCH" ]; then
esac
fi
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=${ARCH} -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -59,7 +61,14 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD$TAG.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
diff --git a/deps/phonon-vlc/.url b/deps/phonon-vlc/.url
index c199845..9353df9 100644
--- a/deps/phonon-vlc/.url
+++ b/deps/phonon-vlc/.url
@@ -1,2 +1,2 @@
-https://download.kde.org/stable/phonon/phonon-backend-vlc/0.10.0/phonon-backend-vlc-0.10.0.tar.xz
+https://download.kde.org/stable/phonon/phonon-backend-vlc/0.10.2/phonon-backend-vlc-0.10.2.tar.xz
diff --git a/deps/phonon-vlc/phonon-vlc.SlackBuild b/deps/phonon-vlc/phonon-vlc.SlackBuild
index e57a066..d5c2a2e 100755
--- a/deps/phonon-vlc/phonon-vlc.SlackBuild
+++ b/deps/phonon-vlc/phonon-vlc.SlackBuild
@@ -1,5 +1,5 @@
#!/bin/sh
-# Copyright 2011, 2012, 2014, 2015, 2016, 2017, 2018 Eric Hameleers, Eindhoven, NL
+# Copyright 2011, 2012, 2014, 2015, 2016, 2017, 2018, 2019 Eric Hameleers, Eindhoven, NL
# Copyright 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
@@ -23,17 +23,19 @@
# -----------------------------------------------------------------------------
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=phonon-vlc
SRCNAM=phonon-backend-vlc
-VERSION=${VERSION:-0.10.0}
+VERSION=${VERSION:-0.10.2}
BUILD=${BUILD:-1}
-NUMJOBS=${NUMJOBS:-" -j7 "}
+NUMJOBS=${NUMJOBS:-"-j$(nproc)"}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$(uname -m)" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$(uname -m) ;;
@@ -41,8 +43,8 @@ if [ -z "$ARCH" ]; then
export ARCH
fi
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=${ARCH} -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -58,16 +60,23 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD$TAG.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf $PKGNAM-$VERSION
+rm -rf $SRCNAM-$VERSION
tar xvf $CWD/$SRCNAM-$VERSION.tar.?z* || exit 1
-cd $PKGNAM-$VERSION || exit 1
+cd $SRCNAM-$VERSION || exit 1
chown -R root:root .
find . \
diff --git a/deps/phonon/.url b/deps/phonon/.url
index 4b93862..fdf4e32 100644
--- a/deps/phonon/.url
+++ b/deps/phonon/.url
@@ -1 +1 @@
-http://download.kde.org/stable/phonon/4.10.0/phonon-4.10.0.tar.xz
+https://download.kde.org/stable/phonon/4.10.2/phonon-4.10.2.tar.xz.sig
diff --git a/deps/phonon/phonon.SlackBuild b/deps/phonon/phonon.SlackBuild
index 4da680d..6104457 100755
--- a/deps/phonon/phonon.SlackBuild
+++ b/deps/phonon/phonon.SlackBuild
@@ -21,14 +21,16 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Modified 2010, 2011, 2012, 2014, 2015, 2016, 2017, 2018 Eric Hameleers, Eindhoven, NL
+# Modified 2010, 2011, 2012, 2014, 2015, 2016, 2017, 2018, 2019 Eric Hameleers, Eindhoven, NL
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=phonon
-VERSION=${VERSION:-4.10.0}
+VERSION=${VERSION:-4.10.2}
BUILD=${BUILD:-1}
-NUMJOBS=${NUMJOBS:--j7}
+NUMJOBS=${NUMJOBS:-"-j$(nproc)"}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -61,7 +63,14 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD$TAG.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-phonon